package com.gatedge.jindie.controller;

import com.gatedge.jindie.entity.Entity;
import com.gatedge.jindie.entity.EntityItem;
import com.gatedge.jindie.entity.EntityVO;
import com.gatedge.jindie.result.ActionResult;
import com.gatedge.jindie.result.ListResult;
import com.gatedge.jindie.result.ResultBuilder;
import com.gatedge.jindie.service.SealedQuotationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @param
 * @Author: 王康
 * @Description: TODO
 * @return
 * @DateTime: 2023/8/24 15:49
 * 描述：
 **/
@RestController
@RequestMapping("/admin/")
public class SealedQuotationController {

    @Autowired
    private SealedQuotationService sealedQuotationService;

    @GetMapping("login")
    public ActionResult login(@RequestParam("FBILLNO") String FBILLNO, @RequestParam("Username") String username, @RequestParam("Password") String password) {
        sealedQuotationService.login(FBILLNO, username, password);
        return ResultBuilder.buildActionSuccess();
    }

    @PostMapping("queryData")
    public ListResult queryData(@RequestBody  Map<String, String> map) {
        String FBILLNO = map.get("FBILLNO");
        List<Entity> data = null;
        if (sealedQuotationService.loginChack(map)) {
            data= sealedQuotationService.queryData(FBILLNO);
        }
        return ResultBuilder.buildEntitySuccess(data);
    }

    @PostMapping("queryDataItem")
    public ListResult queryDataItem(@RequestBody  Map<String, String> map) {
        String FBILLNO = map.get("FBILLNO");
        List<EntityItem> data = null;
        if (sealedQuotationService.loginChack(map)) {
            data= sealedQuotationService.queryDataItem(FBILLNO);
        }
        return ResultBuilder.buildEntitySuccess(data);
    }

    @PostMapping("saveData")
    public ListResult saveData(@RequestBody Map<String, Object> params) {
        Map<String, Object> map = sealedQuotationService.saveData(params);
        return ResultBuilder.buildEntitySuccess(map);
    }
}
